function dataHandler(val, oldVal) {
  var _this = this;

  if (!oldVal) {
    this.renderChart(this.chartData, this.options);
  } else {
    this.$nextTick(function () {
      console.log('updating...');

      _this.$data._chart.update();
    });
  }
}

export var reactiveData = {
  data: function data() {
    return {
      chartData: null
    };
  },
  watch: {
    'chartData': {
      handler: dataHandler,
      deep: true
    }
  }
};
export var reactiveProp = {
  props: {
    chartData: {
      required: true
    }
  },
  watch: {
    'chartData': {
      handler: dataHandler,
      deep: true
    }
  }
};
export default {
  reactiveData: reactiveData,
  reactiveProp: reactiveProp
};